/* This file is in the public domain */
/* This file handles fixed-bit encoders (base64, etc) and compressors */

#include <string>

#include <opencl/config.h>
#include <opencl/encoder.h>

#ifdef OPENCL_EXT_BZIP2
#include <opencl/bzip2.h>
#endif

OpenCL::Filter* lookup_encoder(const std::string& algname)
   {
   if(algname == "Base64_Encode") return new OpenCL::Base64Encoder;
   if(algname == "Base64_Decode") return new OpenCL::Base64Decoder;

#ifdef OPENCL_EXT_BZIP2
   if(algname == "Bzip_Compress") return new OpenCL::Bzip_Compress;
   if(algname == "Bzip_Decompress") return new OpenCL::Bzip_Decompress;
#endif

   else return 0;
   }
